| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::wip::Data Struct Reference

This aggregate type represents all types which G-API can handle (via variant). More...

`#include <opencv2/gapi/garg.hpp>`

Collaboration diagram for cv::gapi::wip::Data:

## Public Member Functions
| GRunArg ()
| GRunArg (const cv::GRunArg &arg)
template<typename T >
| GRunArg (const T &t, const Meta &m=Meta{}, typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type=0)
| GRunArg (cv::GRunArg &&arg)
template<typename T >
| GRunArg (T &&t, const Meta &m=Meta{}, typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type=0)
template<typename T >
Data & | operator= (const T &t)
template<typename T >
Data & | operator= (T &&t)
Public Member Functions inherited from cv::GRunArg
| GRunArg ()
| GRunArg (const cv::GRunArg &arg)
template<typename T >
| GRunArg (const T &t, const Meta &m=Meta{}, typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type=0)
| GRunArg (cv::GRunArg &&arg)
template<typename T >
| GRunArg (T &&t, const Meta &m=Meta{}, typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type=0)
GRunArg & | operator= (const GRunArg &arg)
template<typename T >
auto | operator= (const T &t) -> typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, cv::GRunArg >::type &
GRunArg & | operator= (GRunArg &&arg)
template<typename T >
auto | operator= (T &&t) -> typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, cv::GRunArg >::type &
Public Member Functions inherited from cv::util::variant< Ts >
| variant () noexcept
| variant (const variant &other)
template<typename T , typename = util::are_different_t<variant, T>>
| variant (T &&t)
| variant (variant &&other) noexcept
| ~variant ()
std::size_t | index () const noexcept
variant & | operator= (const variant &rhs)
template<typename... Ts>
variant< Ts... > & | operator= (const variant< Ts... > &rhs)
template<typename T , typename = util::are_different_t<variant, T>>
variant & | operator= (T &&t) noexcept
template<typename T , typename >
variant< Ts... > & | operator= (T &&t) noexcept
variant & | operator= (variant &&rhs) noexcept
template<typename... Ts>
variant< Ts... > & | operator= (variant< Ts... > &&rhs) noexcept
void | swap (variant &rhs) noexcept

## Additional Inherited Members
Public Types inherited from cv::GRunArg
using | Meta = std::unordered_map<std::string, util::any>
Static Public Member Functions inherited from cv::util::variant< Ts >
template<typename T >
static constexpr std::size_t | index_of ()
Public Attributes inherited from cv::GRunArg
Meta | meta
Protected Attributes inherited from cv::util::variant< Ts >
Memory | memory

## Detailed Description

This aggregate type represents all types which G-API can handle (via variant).

It only exists to overcome C++ language limitations (where a `using`-defined class can't be forward-declared).

## Member Function Documentation

## ◆ GRunArg() [1/5]

cv::GRunArg::GRunArg | ( |  | ) |

## ◆ GRunArg() [2/5]

cv::GRunArg::GRunArg | ( | const cv::GRunArg & | arg | ) |

## ◆ GRunArg() [3/5]

template<typename T >

cv::GRunArg::GRunArg | ( | const T & | t,
|  | const Meta & | m = Meta{},
|  | typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type | = 0 )
| inline

## ◆ GRunArg() [4/5]

cv::GRunArg::GRunArg | ( | cv::GRunArg && | arg | ) |

## ◆ GRunArg() [5/5]

template<typename T >

cv::GRunArg::GRunArg | ( | T && | t,
|  | const Meta & | m = Meta{},
|  | typename std::enable_if< detail::in_variant< T, GRunArgBase >::value, int >::type | = 0 )
| inline

## ◆ operator=() [1/2]

template<typename T >

Data & cv::gapi::wip::Data::operator= | ( | const T & | t | ) |
| inline

## ◆ operator=() [2/2]

template<typename T >

Data & cv::gapi::wip::Data::operator= | ( | T && | t | ) |
| inline

The documentation for this struct was generated from the following file:

- opencv2/gapi/garg.hpp